<template>
  <li role="presentation">
    <button
      :id="id"
      class="fr-tabs__tab"
      :tabindex="isActive ? '0' : '-1'"
      role="tab"
      :aria-selected="isActive"
      :aria-controls="id"
      @click="select"
    >
      <slot />
    </button>
  </li>
</template>

<script>
import { v4 as uuid } from 'uuid';

export default {
  name: 'FrTabsItem',
  props: {
    index: {
      type: Number,
      required: true,
    },
    isActive: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    id() {
      return `tab-item-${uuid()}-${this.index}`;
    },
  },
  methods: {
    select() {
      this.$emit('click', this.index);
    },
  },
};
</script>
